          NOLIST        ; Turn listing off
; SCI 9S12C32 Equates Include File
; sci.inc
          INCLUDE "base.inc"
          NOLIST
          INCLUDE "bits.inc"
          NOLIST
;********************************
; SCI Baud Rate Registers
SCIBDH:  SET  BASE+$00C8
SCIBDL:  SET  BASE+$00C9
;********************************
; SCI Control Register 1
SCICR1:  SET  BASE+$00CA
LOOPS:   SET  BIT7
SCISWAI: SET  BIT6
RSRC:    SET  BIT5
M:       SET  BIT4
MODE:    SET  M
WAKE:    SET  BIT3
ILT:     SET  BIT2
PE:      SET  BIT1
PT:      SET  BIT0
;********************************
; SCI Control Register 2
SCICR2:  SET  BASE+$00CB
TIE:     SET  BIT7
TCIE:    SET  BIT6
RIE:     SET  BIT5
ILIE:    SET  BIT4
TE:      SET  BIT3
RE:      SET  BIT2
RWU:     SET  BIT1
SBK:     SET  BIT0
;********************************
; SCI Status Register 1
SCISR1:  SET  BASE+$00CC
TDRE:    SET  BIT7
TC:      SET  BIT6
RDRF:    SET  BIT5
IDLE:    SET  BIT4
OR:      SET  BIT3
NF:      SET  BIT2
FE:      SET  BIT1
PF:      SET  BIT0
;********************************
; SCI Status Register 2
SCISR2:  SET  BASE+$00CD
BRK13:   SET  BIT2
TXDIR:   SET  BIT1
RAF:     SET  BIT0
;********************************
; SCI Data Register High
SCIDRH:  SET  BASE+$00CE
T8:      SET  BIT6
;********************************
; SCI Data Register Low
SCIDRL:  SET  BASE+$00CF
; 8 MHz Bus Clock Baud Rate Register Values
B38400:  SET  13
B19200:  SET  26
B9600:   SET  52
B4800:   SET  104
B2400:   SET  208
B1200:   SET  417
B600:    SET  833
B300:    SET  1667
B150:    SET  3333
B110:    SET  4545
;RCM
; 24MHz bus clock; baud rate reg value
B115200: SET  13


        LIST           ; Turn listing back on 